.\" Copyright (c) 1980, 1990, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"	This product includes software developed by the University of
.\"	California, Berkeley and its contributors.
.\" 4. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"	@(#)leave.1	8.3 (Berkeley) 4/28/95
.\"
.Dd April 28, 1995
.Dt LEAVE 1
.Os
.Sh NAME
.Nm leave
.Nd remind you when you have to leave
.Sh SYNOPSIS
.Nm
.Sm off
.Oo
.Op Cm \&+
.Ns Ar hhmm
.Oc
.Sm on
.Sh DESCRIPTION
.Nm Leave
waits until the specified time, then reminds you that you
have to leave.
You are reminded 5 minutes and 1 minute before the actual
time, at the time, and every minute thereafter.
When you log off,
.Nm
exits just before it would have
printed the next message.
.Pp
Options:
.Pp
.Bl -tag -width flag
.It Ar hhmm
The time of day is in the form
.Ar hhmm
where
.Ar hh
is a time in
hours (on a 12 or 24 hour clock), and
.Ar mm
are minutes.
All times are converted to a 12 hour clock, and assumed to
be in the next 12 hours.
.It Cm \&+
If the time is preceded by
.Ql Cm \&+ ,
the alarm will go off in hours and minutes
from the current time.
.El
.Pp
If no argument is given,
.Nm
prompts with "When do you
have to leave?". A reply of newline causes
.Nm
to exit,
otherwise the reply is assumed to be a time.
This form is suitable for inclusion in a
.Pa .login
or
.Pa .profile .
.Pp
Leave ignores interrupts, quits, and terminates.
To get rid of it you should either log off or use
.Ql kill \-s KILL
giving its process id.
.Sh SEE ALSO
.Xr calendar 1
.Sh HISTORY
The
.Nm
command appeared in
.Bx 3.0 .
